Get account currency settings

View your account's current currency and available options. This endpoint also returns a `currencyId` for changing currency.

Account & Settings Account

Context

Used in the dashboard

/cost-management /account

Workflow links

Produces

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.canChangeCurrency boolean required · Example: true
data.changeLimit object required
data.changeLimit.limit integer required · Example: 2
data.changeLimit.nextReset string required · Example: 2026-02-10T00:00:00.000Z
data.changeLimit.remaining integer required · Example: 2
data.changeLimit.used integer required · Example: 0
data.currencies array<object> required · Example: [{"code":"kr","iso":"SEK","sign":"","format":"1 234,56","decimal":"2","rounding":"2","r...
data.currencies[].code string · enum required · Example: kr

Machine-readable error code.

EUR
USD
kr
data.currencies[].decimal string required · Example: 2
data.currencies[].enable string · Example: 1
data.currencies[].format string · enum required · Example: 1 234,56
1 234,56
1,234.56
data.currencies[].id string required · Example: 0
data.currencies[].iso string · enum required · Example: SEK
EUR
SEK
USD
data.currencies[].last_changes string · Example: 2026-02-10 00:00:00
data.currencies[].rate integer | string required · Example: 1
data.currencies[].rounding string required · Example: 2
data.currencies[].rounding_mode string · Example: HALF_UP
data.currencies[].sign string · enum required · Example:
$
data.currencies[].update string · Example: 0
data.currentCurrency object required
data.currentCurrency.code string · enum required · Example: kr

Machine-readable error code.

EUR
kr
data.currentCurrency.decimal string required · Example: 2
data.currentCurrency.enable string · Example: 1
data.currentCurrency.format string · enum required · Example: 1 234,56
1 234,56
1,234.56
data.currentCurrency.id integer | string required · Example: 0
data.currentCurrency.iso string · enum required · Example: SEK
EUR
SEK
data.currentCurrency.last_changes string · Example: 2026-02-10 00:00:00
data.currentCurrency.rate integer | string required · Example: 1
data.currentCurrency.rounding string required · Example: 2
data.currentCurrency.rounding_mode string · Example: HALF_UP
data.currentCurrency.sign string · enum required · Example:
data.currentCurrency.update string · Example: 0
data.currentCurrencyId string required · Example: 0
data.success boolean required · Example: true

True for successful responses.

data.unpaidInvoiceCount integer required · Example: 0
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/account/currency
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/account/currency" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "currentCurrencyId": "0",
    "currentCurrency": {
      "code": "kr",
      "iso": "SEK",
      "sign": "",
      "format": "1 234,56",
      "decimal": "2",
      "rounding": "2",
      "rounding_mode": "HALF_UP",
      "id": 0,
      "rate": 1
    },
    "currencies": [
      {
        "code": "kr",
        "iso": "SEK",
        "sign": "",
        "format": "1 234,56",
        "decimal": "2",
        "rounding": "2",
        "rounding_mode": "HALF_UP",
        "id": "0",
        "rate": 1
      },
      {
        "id": "1",
        "code": "USD",
        "sign": "$",
        "iso": "USD",
        "rate": "0.1166670000",
        "last_changes": "2026-02-10 00:00:00",
        "update": "0",
        "enable": "1",
        "format": "1,234.56",
        "decimal": "",
        "rounding": "2"
      },
      {
        "_truncated": "... and 1 more items"
      }
    ],
    "canChangeCurrency": true,
    "unpaidInvoiceCount": 0,
    "changeLimit": {
      "used": 0,
      "limit": 2,
      "remaining": 2,
      "nextReset": "2026-02-10T00:00:00.000Z"
    }
  }
}